Maven Dependency for com.sksamuel.hoplite, hoplite-yaml version 0.20.0

In this section developers will find the maven dependency for com.sksamuel.hoplite, hoplite-yaml version 0.20.0.. Learn to use hoplite-yaml version 0.20.0 dependency with Maven, Gradle, SBT, Ivy, Grape, Leiningen and Buildr build tools

Ads

Ads

Maven Dependency for com.sksamuel.hoplite, hoplite-yaml version 0.20.0

In this section developers will find the maven dependency for com.sksamuel.hoplite, hoplite-yaml version 0.20.0.. Learn to use hoplite-yaml version 0.20.0 dependency with Maven, Gradle, SBT, Ivy, Grape, Leiningen and Buildr build tools.

In this section we will see the dependency code that can be added to Maven, Gradle, SBT, Ivy, Grape, Leiningen and Buildr  based project in order to get hoplite-yaml version 0.20.0 dependency in the project.

The hoplite-yaml version 0.20.0 is released on DATE and its available on the remote repositories such as maven central repositories, which can be used used by developer in their projects. They just have to add the dependency code of hoplite-yaml version 0.20.0 given here.

How to use hoplite-yaml version 0.20.0 in Java Maven project?

Java project using maven can easily download hoplite-yaml version 0.20.0 dependency in your project once you add this dependency in your project.  You can add following code in your pom.xml file to get hoplite-yaml version 0.20.0 version maven dependency in your project.

<dependency>
	<groupId>hoplite-yaml</groupId>
	<artifactId>hoplite-yaml</artifactId>
	<version>0.20.0</version>
</dependency>

Above dependency code will download the necessary jar files along with all the dependent packages if any from the remote repositions in your project and you will be able to use the  hoplite-yaml version 0.20.0 in your project. Maven makes it very easy to quickly download  hoplite-yaml dependency packages of specified version e.g. version 0.20.0 in this case.

How to check hoplite-yaml version 0.20.0 library dependencies?

Maven comes with the handy command for finding the dependent libraries in maven based Java projects and this will help us in getting the dependencies tree of hoplite-yaml version 0.20.0. To check the dependency of hoplite-yaml version 0.20.0 you can run following maven command into your project:

mvn dependency:tree

Above command gives the list of all the dependent libraries. In case of hoplite-yaml version 0.20.0 following is the dependency tree:

DEPENDENCY TREE

Here is the screen shot of the command:

IMAGE_DEPENDENCY TREE

How to use hoplite-yaml version 0.20.0 with Gradle, SBT, Ivy, Grape, Leiningen and Buildr?

The hoplite-yaml  can also be used with the other build tools such as Gradle, SBT, Ivy, Grape, Leiningen and Buildr. Let's see the dependency code to be added in the project using these build tools.

Gradle

Here is the Gradle dependency for hoplite-yaml version 0.20.0:

implementation group: 'hoplite-yaml', name: 'hoplite-yaml', version: '0.20.0'

SBT

Here is the SBT dependency for hoplite-yaml version 0.20.0:

libraryDependencies += "hoplite-yaml" % "hoplite-yaml" % "0.20.0"

Ivy

Here is the Ivy dependency for hoplite-yaml version 0.20.0:

<dependency org="hoplite-yaml" name="hoplite-yaml" rev="0.20.0"/>  

Grape

Here is the Gradle dependency for hoplite-yaml version 0.20.0:

 @Grapes(
	@Grab(group='hoplite-yaml', module='hoplite-yaml', version='0.20.0')
)

Leiningen

Here is the Leiningen dependency for hoplite-yaml version 0.20.0:

[hoplite-yaml/hoplite-yaml "0.20.0"]

Buildr

Here is the Buildr dependency for hoplite-yaml version 0.20.0:

'hoplite-yaml:hoplite-yaml:jar:0.20.0'

In this section we have explored hoplite-yaml version 0.20.0 dependency and learned how to use this dependency in Java projects.